# Obserware

An advanced system monitor utility written in Python and Qt

## Featured on

1. [I made an advanced system monitor for GNU/Linux distributions in Python 3.10 and Qt 5.15.0 for fun - Hope you like it! (r/python on Reddit)](https://www.reddit.com/r/Python/comments/r5t63f/i_made_an_advanced_system_monitor_for_gnulinux/)  
2. [I made an advanced system monitor for GNU/Linux distributions in Python 3.10 and Qt 5.15.0 for fun - Hope you like it! (r/opensource on Reddit)](https://www.reddit.com/r/opensource/comments/r68r5b/i_made_an_advanced_system_monitor_for_gnulinux/)  
3. [Obserware (PyPI)](https://pypi.org/project/obserware/)
4. Obserware (Product Hunt) - [Vote](https://www.producthunt.com/posts/obserware?utm_source=badge-featured&utm_medium=badge&utm_souce=badge-obserware) and [Review](https://www.producthunt.com/posts/obserware?utm_source=badge-review&utm_medium=badge&utm_souce=badge-obserware#discussion-body)  
   [![](https://api.producthunt.com/widgets/embed-image/v1/featured.svg?post_id=321452&theme=dark)](https://www.producthunt.com/posts/obserware?utm_source=badge-featured&utm_medium=badge&utm_souce=badge-obserware)  
   [![](https://api.producthunt.com/widgets/embed-image/v1/review.svg?post_id=321452&theme=dark)](https://www.producthunt.com/posts/obserware?utm_source=badge-review&utm_medium=badge&utm_souce=badge-obserware#discussion-body)  

## Installation

### Development

1. `sudo dnf install python3-poetry`
2. `git clone https://gitlab.com/t0xic0der/obserware.git`
3. `cd obserware`
4. `virtualenv venv`
5. `source venv/bin/activate`
6. `poetry install`
7. `deactivate`

### Consumption

1. `virtualenv venv`
2. `source venv/bin/activate`
3. `pip3 install obserware`
4. `deactivate`

## Usage

1. `source venv/bin/activate`
2. `obserware`
3. `deactivate`

## Screenshots

1. **Windows**  
   1. _Performance tabscreen_  
      Find here https://gitlab.com/t0xic0der/obserware/-/blob/main/screenshots/obsr_mainperf.png  
      ![](screenshots/obsr_mainperf.png)
   2. _Processes tabscreen_  
      Find here https://gitlab.com/t0xic0der/obserware/-/blob/main/screenshots/obsr_mainproc.png  
      ![](screenshots/obsr_mainproc.png)
   3. _Information tabscreen_  
      Find here https://gitlab.com/t0xic0der/obserware/-/blob/main/screenshots/obsr_maininfo.png  
      ![](screenshots/obsr_maininfo.png)
   4. _Contribute tabscreen_  
      Find here https://gitlab.com/t0xic0der/obserware/-/blob/main/screenshots/obsr_maincntb.png  
      ![](screenshots/obsr_maincntb.png)
2. **Dialogs**  
   1. _CPU cycles dialog_  
      Find here https://gitlab.com/t0xic0der/obserware/-/blob/main/screenshots/obsr_cyclwind.png  
      ![](screenshots/obsr_cyclwind.png)
   2. _CPU times dialog_  
      Find here https://gitlab.com/t0xic0der/obserware/-/blob/main/screenshots/obsr_cputwind.png  
      ![](screenshots/obsr_cputwind.png)
   3. _Storage counters dialog_  
      Find here https://gitlab.com/t0xic0der/obserware/-/blob/main/screenshots/obsr_sostwind.png  
      ![](screenshots/obsr_sostwind.png)
   4. _Network statistics dialog_  
      Find here https://gitlab.com/t0xic0der/obserware/-/blob/main/screenshots/obsr_ntwkwind.png  
      ![](screenshots/obsr_ntwkwind.png)
   5. _Physical partitions dialog_  
      Find here https://gitlab.com/t0xic0der/obserware/-/blob/main/screenshots/obsr_phptwind.png  
      ![](screenshots/obsr_phptwind.png)
   6. _Logical partitions dialog_  
      Find here https://gitlab.com/t0xic0der/obserware/-/blob/main/screenshots/obsr_lgptwind.png  
      ![](screenshots/obsr_lgptwind.png)
   7. _Process information dialog_  
      Find here https://gitlab.com/t0xic0der/obserware/-/blob/main/screenshots/obsr_procwind.png  
      ![](screenshots/obsr_procwind.png)
